-- phpMyAdmin SQL Dump
-- version 5.2.1
-- https://www.phpmyadmin.net/
--
-- Host: localhost:3306
-- Generation Time: Feb 21, 2025 at 11:15 AM
-- Server version: 10.6.20-MariaDB-cll-lve-log
-- PHP Version: 8.3.15

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `simple_invoices`
--

-- --------------------------------------------------------

--
-- Table structure for table `si_biller`
--

CREATE TABLE `si_biller` (
  `id` int(11) UNSIGNED NOT NULL,
  `domain_id` int(11) UNSIGNED NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `street_address` varchar(255) DEFAULT NULL,
  `street_address2` varchar(255) DEFAULT NULL,
  `city` varchar(255) DEFAULT NULL,
  `state` varchar(255) DEFAULT NULL,
  `zip_code` varchar(20) DEFAULT NULL,
  `country` varchar(255) DEFAULT NULL,
  `phone` varchar(255) DEFAULT NULL,
  `mobile_phone` varchar(255) DEFAULT NULL,
  `fax` varchar(255) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `signature` varchar(255) NOT NULL COMMENT 'Email signature',
  `logo` varchar(255) DEFAULT NULL,
  `footer` text DEFAULT NULL,
  `paypal_business_name` varchar(255) DEFAULT NULL,
  `paypal_notify_url` varchar(255) DEFAULT NULL,
  `paypal_return_url` varchar(255) DEFAULT NULL,
  `eway_customer_id` varchar(255) DEFAULT NULL,
  `paymentsgateway_api_id` varchar(255) DEFAULT NULL,
  `notes` text DEFAULT NULL,
  `custom_field1` varchar(255) DEFAULT NULL,
  `custom_field2` varchar(255) DEFAULT NULL,
  `custom_field3` varchar(255) DEFAULT NULL,
  `custom_field4` varchar(255) DEFAULT NULL,
  `enabled` tinyint(1) NOT NULL DEFAULT 1
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `si_cron`
--

CREATE TABLE `si_cron` (
  `id` int(11) UNSIGNED NOT NULL,
  `domain_id` int(11) UNSIGNED NOT NULL,
  `invoice_id` int(11) UNSIGNED DEFAULT NULL,
  `start_date` date NOT NULL,
  `end_date` varchar(10) DEFAULT NULL,
  `recurrence` int(11) NOT NULL,
  `recurrence_type` varchar(11) NOT NULL,
  `email_biller` tinyint(1) NOT NULL DEFAULT 0,
  `email_customer` tinyint(1) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `si_cron_invoice_items`
--

CREATE TABLE `si_cron_invoice_items` (
  `id` int(11) UNSIGNED NOT NULL,
  `cron_id` int(11) UNSIGNED NOT NULL,
  `quantity` decimal(25,6) NOT NULL DEFAULT 0.000000,
  `product_id` int(11) UNSIGNED NOT NULL,
  `unit_price` decimal(25,6) DEFAULT 0.000000,
  `tax_amount` decimal(25,6) DEFAULT 0.000000,
  `gross_total` decimal(25,6) DEFAULT 0.000000,
  `description` text DEFAULT NULL,
  `total` decimal(25,6) DEFAULT 0.000000,
  `attribute` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `si_cron_invoice_item_tax`
--

CREATE TABLE `si_cron_invoice_item_tax` (
  `id` int(11) UNSIGNED NOT NULL,
  `cron_invoice_item_id` int(11) UNSIGNED NOT NULL,
  `tax_id` int(11) UNSIGNED NOT NULL,
  `tax_type` char(1) DEFAULT NULL,
  `tax_rate` decimal(25,6) NOT NULL,
  `tax_amount` decimal(25,6) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `si_cron_log`
--

CREATE TABLE `si_cron_log` (
  `id` int(11) UNSIGNED NOT NULL,
  `domain_id` int(11) UNSIGNED NOT NULL,
  `cron_id` int(11) UNSIGNED DEFAULT NULL,
  `run_date` date NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `si_customers`
--

CREATE TABLE `si_customers` (
  `id` int(11) UNSIGNED NOT NULL,
  `domain_id` int(11) UNSIGNED NOT NULL,
  `attention` varchar(255) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `department` varchar(255) DEFAULT NULL,
  `street_address` varchar(255) DEFAULT NULL,
  `street_address2` varchar(255) DEFAULT NULL,
  `city` varchar(255) DEFAULT NULL,
  `state` varchar(255) DEFAULT NULL,
  `zip_code` varchar(20) DEFAULT NULL,
  `country` varchar(255) DEFAULT NULL,
  `phone` varchar(255) DEFAULT NULL,
  `mobile_phone` varchar(255) DEFAULT NULL,
  `fax` varchar(255) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `credit_card_holder_name` varchar(255) DEFAULT NULL,
  `credit_card_number` varchar(20) DEFAULT NULL,
  `credit_card_expiry_month` varchar(2) DEFAULT NULL,
  `credit_card_expiry_year` varchar(4) DEFAULT NULL,
  `notes` text DEFAULT NULL,
  `default_invoice` int(10) UNSIGNED NOT NULL DEFAULT 0 COMMENT 'Invoice index_id value to use as the default template',
  `custom_field1` varchar(255) DEFAULT NULL,
  `custom_field2` varchar(255) DEFAULT NULL,
  `custom_field3` varchar(255) DEFAULT NULL,
  `custom_field4` varchar(255) DEFAULT NULL,
  `parent_customer_id` int(11) UNSIGNED DEFAULT NULL,
  `enabled` tinyint(1) NOT NULL DEFAULT 1
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `si_custom_fields`
--

CREATE TABLE `si_custom_fields` (
  `cf_id` int(11) UNSIGNED NOT NULL,
  `cf_custom_field` varchar(255) DEFAULT NULL,
  `cf_custom_label` varchar(255) DEFAULT NULL,
  `cf_display` tinyint(1) NOT NULL DEFAULT 1,
  `domain_id` int(11) UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_unicode_ci;

--
-- Dumping data for table `si_custom_fields`
--

INSERT INTO `si_custom_fields` (`cf_id`, `cf_custom_field`, `cf_custom_label`, `cf_display`, `domain_id`) VALUES
(1, 'biller_cf1', NULL, 0, 1),
(2, 'biller_cf2', NULL, 0, 1),
(3, 'biller_cf3', NULL, 0, 1),
(4, 'biller_cf4', NULL, 0, 1),
(5, 'customer_cf1', NULL, 0, 1),
(6, 'customer_cf2', NULL, 0, 1),
(7, 'customer_cf3', NULL, 0, 1),
(8, 'customer_cf4', NULL, 0, 1),
(9, 'product_cf1', NULL, 0, 1),
(10, 'product_cf2', NULL, 0, 1),
(11, 'product_cf3', NULL, 0, 1),
(12, 'product_cf4', NULL, 0, 1),
(13, 'invoice_cf1', NULL, 0, 1),
(14, 'invoice_cf2', NULL, 0, 1),
(15, 'invoice_cf3', NULL, 0, 1),
(16, 'invoice_cf4', NULL, 0, 1);

-- --------------------------------------------------------

--
-- Table structure for table `si_custom_flags`
--

CREATE TABLE `si_custom_flags` (
  `domain_id` int(11) UNSIGNED NOT NULL,
  `associated_table` char(10) NOT NULL,
  `flg_id` tinyint(3) UNSIGNED NOT NULL COMMENT 'Flag number ranging from 1 to 10',
  `field_label` varchar(20) DEFAULT NULL,
  `enabled` tinyint(1) NOT NULL COMMENT 'Defaults to enabled when record created. Can disable to retire flag.',
  `field_help` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_unicode_ci COMMENT='Specifies an allowed setting for a flag field';

--
-- Dumping data for table `si_custom_flags`
--

INSERT INTO `si_custom_flags` (`domain_id`, `associated_table`, `flg_id`, `field_label`, `enabled`, `field_help`) VALUES
(1, 'products', 1, '', 0, ''),
(1, 'products', 2, '', 0, ''),
(1, 'products', 3, '', 0, ''),
(1, 'products', 4, '', 0, ''),
(1, 'products', 5, '', 0, ''),
(1, 'products', 6, '', 0, ''),
(1, 'products', 7, '', 0, ''),
(1, 'products', 8, '', 0, ''),
(1, 'products', 9, '', 0, ''),
(1, 'products', 10, '', 0, '');

-- --------------------------------------------------------

--
-- Table structure for table `si_expense`
--

CREATE TABLE `si_expense` (
  `id` int(11) UNSIGNED NOT NULL,
  `domain_id` int(11) UNSIGNED NOT NULL,
  `amount` decimal(25,6) NOT NULL,
  `expense_account_id` int(11) UNSIGNED DEFAULT NULL,
  `biller_id` int(11) UNSIGNED DEFAULT NULL,
  `customer_id` int(11) UNSIGNED DEFAULT NULL,
  `invoice_id` int(11) UNSIGNED DEFAULT NULL,
  `product_id` int(11) UNSIGNED DEFAULT NULL,
  `date` date NOT NULL,
  `note` text DEFAULT NULL,
  `status` tinyint(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `si_expense_account`
--

CREATE TABLE `si_expense_account` (
  `id` int(11) UNSIGNED NOT NULL,
  `domain_id` int(11) UNSIGNED NOT NULL,
  `name` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `si_expense_item_tax`
--

CREATE TABLE `si_expense_item_tax` (
  `id` int(11) UNSIGNED NOT NULL,
  `expense_id` int(11) UNSIGNED DEFAULT NULL,
  `tax_id` int(11) UNSIGNED DEFAULT NULL,
  `tax_type` varchar(1) DEFAULT NULL,
  `tax_rate` decimal(25,6) NOT NULL,
  `tax_amount` decimal(25,6) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `si_extensions`
--

CREATE TABLE `si_extensions` (
  `id` int(11) UNSIGNED NOT NULL,
  `domain_id` int(11) UNSIGNED NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `enabled` tinyint(1) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_unicode_ci;

--
-- Dumping data for table `si_extensions`
--

INSERT INTO `si_extensions` (`id`, `domain_id`, `name`, `description`, `enabled`) VALUES
(1, 0, 'core', 'Core part of SimpleInvoices - always enabled', 1);

-- --------------------------------------------------------

--
-- Table structure for table `si_index`
--

CREATE TABLE `si_index` (
  `id` int(11) UNSIGNED NOT NULL,
  `node` varchar(64) NOT NULL,
  `sub_node` int(11) NOT NULL,
  `sub_node_2` int(11) NOT NULL,
  `domain_id` int(11) UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `si_install_complete`
--

CREATE TABLE `si_install_complete` (
  `completed` tinyint(1) NOT NULL COMMENT 'Flag SI install has completed'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_unicode_ci COMMENT='Specifies an allowed setting for a flag field';

-- --------------------------------------------------------

--
-- Table structure for table `si_inventory`
--

CREATE TABLE `si_inventory` (
  `id` int(11) UNSIGNED NOT NULL,
  `domain_id` int(11) UNSIGNED NOT NULL,
  `product_id` int(11) UNSIGNED DEFAULT NULL,
  `quantity` decimal(25,6) NOT NULL,
  `cost` decimal(25,6) DEFAULT NULL,
  `date` date NOT NULL,
  `note` text DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `si_invoices`
--

CREATE TABLE `si_invoices` (
  `id` int(11) UNSIGNED NOT NULL,
  `index_id` int(11) UNSIGNED NOT NULL,
  `domain_id` int(11) UNSIGNED NOT NULL,
  `biller_id` int(11) UNSIGNED DEFAULT NULL,
  `customer_id` int(11) UNSIGNED DEFAULT NULL,
  `type_id` int(11) UNSIGNED DEFAULT NULL,
  `preference_id` int(11) UNSIGNED DEFAULT NULL,
  `date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `custom_field1` varchar(50) DEFAULT NULL,
  `custom_field2` varchar(50) DEFAULT NULL,
  `custom_field3` varchar(50) DEFAULT NULL,
  `custom_field4` varchar(50) DEFAULT NULL,
  `note` text DEFAULT NULL,
  `owing` decimal(25,6) NOT NULL DEFAULT 0.000000 COMMENT 'Amount owing as of aging-date',
  `last_activity_date` datetime NOT NULL DEFAULT '2000-12-31 00:00:00' COMMENT 'Date last activity update to the invoice',
  `aging_date` datetime NOT NULL DEFAULT '2000-12-30 00:00:00' COMMENT 'Date aging was last calculated',
  `age_days` smallint(5) UNSIGNED NOT NULL DEFAULT 0 COMMENT 'Age of invoice balance',
  `aging` varchar(5) NOT NULL DEFAULT '' COMMENT 'Aging string (1-14, 15-30, etc.',
  `sales_representative` varchar(50) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `si_invoice_items`
--

CREATE TABLE `si_invoice_items` (
  `id` int(11) UNSIGNED NOT NULL,
  `invoice_id` int(11) UNSIGNED DEFAULT NULL,
  `domain_id` int(11) UNSIGNED NOT NULL,
  `quantity` decimal(25,6) NOT NULL DEFAULT 0.000000,
  `product_id` int(11) UNSIGNED DEFAULT NULL,
  `unit_price` decimal(25,6) DEFAULT 0.000000,
  `tax_amount` decimal(25,6) DEFAULT 0.000000,
  `gross_total` decimal(25,6) DEFAULT 0.000000,
  `description` text DEFAULT NULL,
  `total` decimal(25,6) DEFAULT 0.000000,
  `attribute` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `si_invoice_item_attachments`
--

CREATE TABLE `si_invoice_item_attachments` (
  `id` int(11) UNSIGNED NOT NULL,
  `invoice_item_id` int(11) UNSIGNED DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `attachment` blob DEFAULT NULL COMMENT 'Attached object'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_unicode_ci COMMENT='Objects attached to an invoice item';

-- --------------------------------------------------------

--
-- Table structure for table `si_invoice_item_tax`
--

CREATE TABLE `si_invoice_item_tax` (
  `id` int(11) UNSIGNED NOT NULL,
  `invoice_item_id` int(11) UNSIGNED NOT NULL,
  `tax_id` int(11) UNSIGNED NOT NULL,
  `tax_type` char(1) DEFAULT NULL,
  `tax_rate` decimal(25,6) NOT NULL,
  `tax_amount` decimal(25,6) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `si_invoice_type`
--

CREATE TABLE `si_invoice_type` (
  `inv_ty_id` int(11) UNSIGNED NOT NULL,
  `inv_ty_description` varchar(25) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_unicode_ci;

--
-- Dumping data for table `si_invoice_type`
--

INSERT INTO `si_invoice_type` (`inv_ty_id`, `inv_ty_description`) VALUES
(1, 'Total'),
(2, 'Itemized');

-- --------------------------------------------------------

--
-- Table structure for table `si_log`
--

CREATE TABLE `si_log` (
  `id` int(11) UNSIGNED NOT NULL,
  `domain_id` int(11) UNSIGNED NOT NULL,
  `timestamp` timestamp NOT NULL DEFAULT current_timestamp(),
  `user_id` int(11) UNSIGNED DEFAULT NULL,
  `sqlquerie` text DEFAULT NULL,
  `last_id` int(11) UNSIGNED DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `si_payment`
--

CREATE TABLE `si_payment` (
  `id` int(11) UNSIGNED NOT NULL,
  `ac_inv_id` int(11) UNSIGNED DEFAULT NULL,
  `customer_id` int(11) UNSIGNED DEFAULT NULL,
  `ac_amount` decimal(25,6) NOT NULL,
  `ac_notes` text DEFAULT NULL,
  `ac_date` datetime NOT NULL,
  `ac_payment_type` int(11) UNSIGNED DEFAULT NULL,
  `domain_id` int(11) UNSIGNED NOT NULL,
  `online_payment_id` varchar(255) DEFAULT NULL,
  `ac_check_number` varchar(10) DEFAULT NULL,
  `warehouse_amount` decimal(25,6) NOT NULL DEFAULT 0.000000
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `si_payment_types`
--

CREATE TABLE `si_payment_types` (
  `pt_id` int(11) UNSIGNED NOT NULL,
  `domain_id` int(11) UNSIGNED NOT NULL,
  `pt_description` varchar(250) DEFAULT NULL,
  `pt_enabled` tinyint(1) NOT NULL DEFAULT 1
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_unicode_ci;

--
-- Dumping data for table `si_payment_types`
--

INSERT INTO `si_payment_types` (`pt_id`, `domain_id`, `pt_description`, `pt_enabled`) VALUES
(1, 1, 'Cash', 1),
(2, 1, 'Credit Card', 1),
(3, 1, 'Check', 1),
(4, 1, 'Write-off', 1),
(5, 1, 'VOID', 1);

-- --------------------------------------------------------

--
-- Table structure for table `si_payment_warehouse`
--

CREATE TABLE `si_payment_warehouse` (
  `id` int(11) UNSIGNED NOT NULL,
  `customer_id` int(11) UNSIGNED NOT NULL,
  `last_payment_id` int(11) UNSIGNED DEFAULT NULL,
  `balance` decimal(25,6) NOT NULL,
  `payment_type` int(11) UNSIGNED NOT NULL,
  `check_number` varchar(10) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `si_preferences`
--

CREATE TABLE `si_preferences` (
  `pref_id` int(11) UNSIGNED NOT NULL,
  `domain_id` int(11) UNSIGNED NOT NULL,
  `pref_description` varchar(50) DEFAULT NULL,
  `pref_currency_sign` varchar(50) DEFAULT NULL,
  `pref_inv_heading` varchar(50) DEFAULT NULL,
  `pref_inv_wording` varchar(50) DEFAULT NULL,
  `pref_inv_detail_heading` varchar(50) DEFAULT NULL,
  `pref_inv_detail_line` text DEFAULT NULL,
  `pref_inv_payment_method` varchar(50) DEFAULT NULL,
  `pref_inv_payment_line1_name` varchar(50) DEFAULT NULL,
  `pref_inv_payment_line1_value` varchar(50) DEFAULT NULL,
  `pref_inv_payment_line2_name` varchar(50) DEFAULT NULL,
  `pref_inv_payment_line2_value` varchar(50) DEFAULT NULL,
  `pref_enabled` tinyint(1) NOT NULL DEFAULT 1,
  `status` tinyint(1) NOT NULL,
  `locale` varchar(255) DEFAULT NULL,
  `language` varchar(255) DEFAULT NULL,
  `index_group` int(11) NOT NULL,
  `set_aging` tinyint(1) NOT NULL DEFAULT 0,
  `currency_code` varchar(25) DEFAULT NULL,
  `include_online_payment` varchar(255) DEFAULT NULL,
  `currency_position` varchar(25) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_unicode_ci;

--
-- Dumping data for table `si_preferences`
--

INSERT INTO `si_preferences` (`pref_id`, `domain_id`, `pref_description`, `pref_currency_sign`, `pref_inv_heading`, `pref_inv_wording`, `pref_inv_detail_heading`, `pref_inv_detail_line`, `pref_inv_payment_method`, `pref_inv_payment_line1_name`, `pref_inv_payment_line1_value`, `pref_inv_payment_line2_name`, `pref_inv_payment_line2_value`, `pref_enabled`, `status`, `locale`, `language`, `index_group`, `set_aging`, `currency_code`, `include_online_payment`, `currency_position`) VALUES
(1, 1, 'Invoice', '$', 'Invoice', 'Invoice', 'Details', 'Payment is to be made within 14 days of the invoice being sent', 'Electronic Funds Transfer', 'Account name', 'H. & M. Simpson', 'Account number:', '0123-4567-7890', 1, 1, 'en_US', 'en_US', 1, 1, 'USD', NULL, 'left'),
(2, 1, 'Receipt', '$', 'Receipt', 'Receipt', 'Details', '<br />This transaction has been paid in full, please keep this receipt as proof of purchase.<br /> Thank you', '', '', '', '', '', 1, 1, 'en_US', 'en_US', 1, 0, 'USD', NULL, 'left'),
(3, 1, 'Estimate', '$', 'Estimate', 'Estimate', 'Details', '<br />This is an estimate of the final value of services rendered.<br />Thank you', '', '', '', '', '', 1, 0, 'en_US', 'en_US', 1, 0, 'USD', NULL, 'left'),
(4, 1, 'Quote', '$', 'Quote', 'Quote', 'Details', '<br />This is a quote of the final value of services rendered.<br />Thank you', '', '', '', '', '', 1, 0, 'en_US', 'en_US', 1, 0, 'USD', NULL, 'left');

-- --------------------------------------------------------

--
-- Table structure for table `si_products`
--

CREATE TABLE `si_products` (
  `id` int(11) UNSIGNED NOT NULL,
  `domain_id` int(11) UNSIGNED NOT NULL,
  `description` text DEFAULT NULL,
  `unit_price` decimal(25,6) DEFAULT 0.000000,
  `default_tax_id` int(11) UNSIGNED DEFAULT NULL,
  `default_tax_id_2` int(11) UNSIGNED DEFAULT NULL,
  `cost` decimal(25,6) DEFAULT 0.000000,
  `reorder_level` int(11) DEFAULT NULL,
  `custom_field1` varchar(255) DEFAULT NULL,
  `custom_field2` varchar(255) DEFAULT NULL,
  `custom_field3` varchar(255) DEFAULT NULL,
  `custom_field4` varchar(255) DEFAULT NULL,
  `notes` text DEFAULT NULL,
  `enabled` tinyint(1) NOT NULL DEFAULT 1,
  `visible` tinyint(1) NOT NULL DEFAULT 1,
  `attribute` varchar(255) DEFAULT NULL,
  `notes_as_description` char(1) DEFAULT NULL,
  `show_description` char(1) DEFAULT NULL,
  `custom_flags` char(10) DEFAULT NULL,
  `product_group` varchar(60) NOT NULL DEFAULT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `si_products_attributes`
--

CREATE TABLE `si_products_attributes` (
  `id` int(11) UNSIGNED NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `type_id` int(11) UNSIGNED DEFAULT NULL,
  `enabled` tinyint(1) NOT NULL DEFAULT 1,
  `visible` tinyint(1) NOT NULL DEFAULT 1
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `si_products_attributes_values`
--

CREATE TABLE `si_products_attributes_values` (
  `id` int(11) UNSIGNED NOT NULL,
  `attribute_id` int(11) UNSIGNED DEFAULT NULL,
  `value` varchar(255) DEFAULT NULL,
  `enabled` tinyint(1) NOT NULL DEFAULT 1
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `si_products_attribute_type`
--

CREATE TABLE `si_products_attribute_type` (
  `id` int(11) UNSIGNED NOT NULL,
  `name` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_unicode_ci;

--
-- Dumping data for table `si_products_attribute_type`
--

INSERT INTO `si_products_attribute_type` (`id`, `name`) VALUES
(1, 'list'),
(2, 'decimal'),
(3, 'free');

-- --------------------------------------------------------

--
-- Table structure for table `si_product_groups`
--

CREATE TABLE `si_product_groups` (
  `name` varchar(60) NOT NULL,
  `markup` int(2) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `si_sql_patchmanager`
--

CREATE TABLE `si_sql_patchmanager` (
  `sql_id` int(11) UNSIGNED NOT NULL,
  `sql_patch_ref` int(11) NOT NULL,
  `sql_patch` varchar(255) DEFAULT NULL,
  `sql_release` varchar(25) DEFAULT NULL,
  `sql_statement` text DEFAULT NULL,
  `source` varchar(20) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_unicode_ci;

--
-- Dumping data for table `si_sql_patchmanager`
--

INSERT INTO `si_sql_patchmanager` (`sql_id`, `sql_patch_ref`, `sql_patch`, `sql_release`, `sql_statement`, `source`) VALUES
(1, 319, 'Add set_aging field to si_preferences', '20200123', 'ALTER TABLE `si_preferences` ADD COLUMN `set_aging` BOOL NOT NULL DEFAULT 0 AFTER `index_group`;UPDATE `si_preferences` SET `set_aging` = 1 WHERE pref_id = 1;', 'fearless359'),
(2, 320, 'Remove deleted extensions mini and measurement', '20200822', 'DELETE IGNORE FROM `si_extensions` WHERE `name` = \'mini\' OR `name` = \'measurement\';', 'fearless359'),
(3, 321, 'Add parent_customer_id field to the database', '20200924', 'ALTER TABLE `si_customers` ADD `parent_customer_id` INT(11) NULL AFTER `notes`;DELETE IGNORE FROM `si_extensions` WHERE `name` = \'sub_customer\';INSERT INTO `si_system_defaults` (`name`, `value`, `domain_id`, `extension_id`) VALUES (\'sub_customer\', $flg, $domainId, 1);', 'fearless359'),
(4, 322, 'Add product_groups table to the database.', '20201010', 'CREATE TABLE `si_product_groups` (name VARCHAR(60) NOT NULL PRIMARY KEY, markup INT(2) NOT NULL DEFAULT 0) ENGINE = InnoDb; DELETE IGNORE FROM `si_extensions` WHERE `name` = \'invoice_grouped\'; INSERT INTO `si_system_defaults` (`name`, `value`, `domain_id`, `extension_id`) VALUES (\'product_groups\', 0, $domainId, 1); ALTER TABLE `si_products` ADD product_group VARCHAR(60) NOT NULL DEFAULT \'\'; INSERT INTO `si_product_groups` (`name`, `markup`) VALUES (\'Labor\', 0); INSERT INTO `si_product_groups` (`name`, `markup`) VALUES (\'Equipment\', 0); INSERT INTO `si_product_groups` (`name`, `markup`) VALUES (\'Materials\', 0); INSERT INTO `si_product_groups` (`name`, `markup`) VALUES (\'Subcontractor\', 0);', 'fearless359'),
(5, 323, 'Add invoice description open option.', '20210413', 'INSERT INTO `si_system_defaults` (name ,value ,domain_id ,extension_id ) VALUES (\'invoice_description_open\', 0, $domainId, 1);', 'fearless359'),
(6, 324, 'Rename si_products_values table to si_products_attributes_values.', '20210527', 'ALTER TABLE `si_products_values` RENAME TO si_products_attributes_values;', 'fearless359'),
(7, 325, 'Remove unused items from the si_system_defaults table.', '20200615', 'DELETE IGNORE FROM `si_system_defaults` WHERE `name` in (\'company_name\', \'emailhost\', \'emailpassword\', \'emailusername\', \'pdfbottommargin\', \'pdfleftmargin\', \'pdfpapersize\', \'pdfrightmargin\', \'pdfscreensize\', \'pdftopmargin\', \'spreadsheet\', \'wordprocessor\'); DELETE IGNORE FROM `si_system_defaults` WHERE `name` LIKE \'dateformat%\';', 'fearless359'),
(8, 326, 'Add display department option.', '20210930', 'INSERT INTO `si_system_defaults` (name ,value ,domain_id ,extension_id ) VALUES (\'display_department\', 1, $domainId, 1);', 'fearless359'),
(9, 327, 'Make invoice_item_id a key field in the invoice_item_tax table.', '20220909', 'ALTER TABLE `si_invoice_item_tax` ADD KEY `invoice_item_id` (`invoice_item_id`);', 'fearless359'),
(10, 328, 'Add cron_invoice_items table to the database.', '20220909', 'CREATE TABLE `si_cron_invoice_items` (id int(11) UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY, `cron_id` int(11) UNSIGNED NOT NULL, `quantity` decimal(25,6) NOT NULL DEFAULT 0.000000, `product_id` int(11) UNSIGNED NOT NULL, `unit_price` decimal(25,6) DEFAULT 0.000000, `tax_amount` decimal(25,6) DEFAULT 0.000000, `gross_total` decimal(25,6) DEFAULT 0.000000, `description` text COLLATE utf8_unicode_ci DEFAULT NULL, `total` decimal(25,6) DEFAULT 0.000000, `attribute` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL) ENGINE = InnoDb DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;ALTER TABLE `si_cron_invoice_items` ADD KEY `cron_id` (`cron_id`), ADD KEY `product_id` (`product_id`);ALTER TABLE `si_cron_invoice_items` ADD CONSTRAINT `si_cron_invoice_items_ibfk_1` FOREIGN KEY (`cron_id`) REFERENCES `si_cron` (`id`) ON UPDATE CASCADE, ADD CONSTRAINT `si_cron_invoice_items_ibfk_2` FOREIGN KEY (`product_id`) REFERENCES `si_products` (`id`) ON UPDATE CASCADE;', 'fearless359'),
(11, 329, 'Add cron_invoice_item_tax table to the database.', '20220909', 'CREATE TABLE `si_cron_invoice_item_tax` (id int(11) UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY, `cron_invoice_item_id` int(11) UNSIGNED NOT NULL, `tax_id` int(11) UNSIGNED NOT NULL, `tax_type` char(1) COLLATE utf8_unicode_ci DEFAULT NULL, `tax_rate` decimal(25,6) NOT NULL, `tax_amount` decimal(25,6) NOT NULL) ENGINE = InnoDb DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;ALTER TABLE `si_cron_invoice_item_tax` ADD KEY `cron_invoice_item_id` (`cron_invoice_item_id`), ADD KEY `tax_id` (`tax_id`);ALTER TABLE `si_cron_invoice_item_tax` ADD CONSTRAINT `si_cron_invoice_item_tax_ibfk_1` FOREIGN KEY (`tax_id`) REFERENCES `si_tax` (`tax_id`) ON UPDATE CASCADE;ADD CONSTRAINT `si_cron_invoice_item_tax_ibfk_2` FOREIGN KEY (`cron_invoice_item_id`) REFERENCES `si_cron_invoice_items` (`id`) ON UPDATE CASCADE;', 'fearless359'),
(12, 330, 'Add invoice_item_id as a key for the invoice_item_tax table.', '20220926', 'ALTER TABLE `si_invoice_item_tax` MODIFY `invoice_item_id` INT(11) UNSIGNED NOT NULL; ALTER TABLE `si_invoice_item_tax` MODIFY `tax_id` INT(11) UNSIGNED NOT NULL; ALTER TABLE `si_invoice_item_tax` ADD KEY `invoice_item_id` (`invoice_item_id`);', 'fearless359'),
(13, 331, 'Add foreign key for invoice_item_id to invoice_item_tax table.', '20221013', 'ALTER TABLE `si_invoice_item_tax` ADD CONSTRAINT `si_invoice_item_tax_ibfk_2` FOREIGN KEY (`invoice_item_id`) REFERENCES `si_invoice_items` (`id`) ON UPDATE CASCADE;', 'fearless359'),
(14, 332, 'Add payment_warehouse table to the database.', '20221013', 'CREATE TABLE `si_payment_warehouse` (id int(11) UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY, `customer_id` int(11) UNSIGNED NOT NULL, `amount` decimal(25,6) NOT NULL, `payment_type` int(11) UNSIGNED NOT NULL, `check_number` varchar(10) DEFAULT NULL) ENGINE = InnoDb DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;ALTER TABLE `si_payment_warehouse` ADD KEY `customer_id` (`customer_id`), ADD KEY `payment_type` (`payment_type`);ALTER TABLE `si_payment_warehouse` ADD CONSTRAINT `si_customer_id_ibfk_1` FOREIGN KEY (`customer_id`) REFERENCES `si_customers` (`id`) ON UPDATE CASCADE,ADD CONSTRAINT `si_payment_type_ibfk_2` FOREIGN KEY (`payment_type`) REFERENCES `si_payment_types` (`pt_id`) ON UPDATE CASCADE;', 'fearless359'),
(15, 333, 'Add warehouse_amount field to payment table.', '20221019', 'ALTER TABLE `si_payment` ADD `customer_id` int(11) UNSIGNED AFTER `ac_inv_id`, ADD `warehouse_amount` decimal(25,6) NOT NULL DEFAULT 0 AFTER `ac_check_number`; ALTER TABLE `si_payment` ADD KEY `customer_id` (`customer_id`); ALTER TABLE `si_payment` ADD CONSTRAINT `si_payment_ibfk_3` FOREIGN KEY (`customer_id`) REFERENCES `si_customers` (`id`) ON UPDATE SET NULL ON DELETE SET NULL;', 'fearless359'),
(16, 334, 'Add payment delete days option.', '20221022', 'INSERT INTO `si_system_defaults` (name ,value ,domain_id ,extension_id ) VALUES (\'payment_delete_days\', 0, 1, 1);', 'fearless359'),
(17, 335, 'Add invoice display days option.', '20221110', 'INSERT INTO `si_system_defaults` (name ,value ,domain_id ,extension_id ) VALUES (\'invoice_display_days\', 0, 1, 1);', 'fearless359'),
(18, 336, 'Make id type for si_log table consistent with all other id settings.', '20230717', 'ALTER TABLE `si_log` MODIFY `id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT;', 'fearless359');

-- --------------------------------------------------------

--
-- Table structure for table `si_system_defaults`
--

CREATE TABLE `si_system_defaults` (
  `id` int(11) UNSIGNED NOT NULL,
  `name` varchar(30) DEFAULT NULL,
  `value` varchar(60) DEFAULT NULL,
  `domain_id` int(11) UNSIGNED NOT NULL,
  `extension_id` int(11) UNSIGNED DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_unicode_ci;

--
-- Dumping data for table `si_system_defaults`
--

INSERT INTO `si_system_defaults` (`id`, `name`, `value`, `domain_id`, `extension_id`) VALUES
(1, 'biller', '', 1, 1),
(2, 'company_logo', 'simple_invoices_logo.png', 1, 1),
(3, 'company_name_item', 'SimpleInvoices', 1, 1),
(4, 'customer', '', 1, 1),
(5, 'default_invoice', '', 1, 1),
(6, 'delete', '0', 1, 1),
(7, 'display_department', '1', 1, 1),
(8, 'expense', '0', 1, 1),
(9, 'inventory', '0', 1, 1),
(10, 'invoice_description_open', '0', 1, 1),
(11, 'language', 'en_US', 1, 1),
(12, 'line_items', '3', 1, 1),
(13, 'logging', '0', 1, 1),
(14, 'password_lower', '1', 1, 1),
(15, 'password_min_length', '8', 1, 1),
(16, 'password_number', '1', 1, 1),
(17, 'password_special', '1', 1, 1),
(18, 'password_upper', '1', 1, 1),
(19, 'payment_type', '1', 1, 1),
(20, 'preference', '1', 1, 1),
(21, 'product_attributes', '0', 1, 1),
(22, 'product_groups', '0', 1, 1),
(23, 'session_timeout', '60', 1, 1),
(24, 'sub_customer', '0', 1, 1),
(25, 'tax', '1', 1, 1),
(26, 'tax_per_line_item', '1', 1, 1),
(27, 'template', 'default', 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `si_tax`
--

CREATE TABLE `si_tax` (
  `tax_id` int(11) UNSIGNED NOT NULL,
  `tax_description` varchar(50) DEFAULT NULL,
  `tax_percentage` decimal(25,6) DEFAULT 0.000000,
  `type` char(1) DEFAULT NULL,
  `tax_enabled` tinyint(1) NOT NULL DEFAULT 1,
  `domain_id` int(11) UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_unicode_ci;

--
-- Dumping data for table `si_tax`
--

INSERT INTO `si_tax` (`tax_id`, `tax_description`, `tax_percentage`, `type`, `tax_enabled`, `domain_id`) VALUES
(1, 'GST', 10.000000, '%', 1, 1),
(2, 'VAT', 10.000000, '%', 1, 1),
(3, 'Sales Tax', 10.000000, '%', 1, 1),
(4, 'No Tax', 0.000000, '%', 1, 1),
(5, 'Postage', 20.000000, '$', 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `si_user`
--

CREATE TABLE `si_user` (
  `id` int(11) UNSIGNED NOT NULL,
  `email` varchar(255) DEFAULT NULL,
  `role_id` int(11) UNSIGNED DEFAULT NULL,
  `domain_id` int(11) UNSIGNED NOT NULL,
  `password` varchar(64) DEFAULT NULL,
  `enabled` tinyint(1) NOT NULL DEFAULT 1,
  `user_id` int(11) NOT NULL DEFAULT 0,
  `username` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_unicode_ci;

--
-- Dumping data for table `si_user`
--

INSERT INTO `si_user` (`id`, `email`, `role_id`, `domain_id`, `password`, `enabled`, `user_id`, `username`) VALUES
(1, 'demo@simpleinvoices.group', 1, 1, 'fe01ce2a7fbac8fafaed7c982a04e229', 1, 0, 'demo');

-- --------------------------------------------------------

--
-- Table structure for table `si_user_domain`
--

CREATE TABLE `si_user_domain` (
  `id` int(11) UNSIGNED NOT NULL,
  `name` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_unicode_ci;

--
-- Dumping data for table `si_user_domain`
--

INSERT INTO `si_user_domain` (`id`, `name`) VALUES
(1, 'default');

-- --------------------------------------------------------

--
-- Table structure for table `si_user_role`
--

CREATE TABLE `si_user_role` (
  `id` int(11) UNSIGNED NOT NULL,
  `name` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_unicode_ci;

--
-- Dumping data for table `si_user_role`
--

INSERT INTO `si_user_role` (`id`, `name`) VALUES
(1, 'administrator'),
(5, 'biller'),
(4, 'customer'),
(2, 'domain_administrator'),
(3, 'user');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `si_biller`
--
ALTER TABLE `si_biller`
  ADD PRIMARY KEY (`domain_id`,`id`),
  ADD UNIQUE KEY `id` (`id`);

--
-- Indexes for table `si_cron`
--
ALTER TABLE `si_cron`
  ADD PRIMARY KEY (`domain_id`,`id`),
  ADD UNIQUE KEY `id` (`id`),
  ADD KEY `invoice_id` (`invoice_id`);

--
-- Indexes for table `si_cron_invoice_items`
--
ALTER TABLE `si_cron_invoice_items`
  ADD PRIMARY KEY (`id`),
  ADD KEY `cron_id` (`cron_id`),
  ADD KEY `product_id` (`product_id`);

--
-- Indexes for table `si_cron_invoice_item_tax`
--
ALTER TABLE `si_cron_invoice_item_tax`
  ADD PRIMARY KEY (`id`),
  ADD KEY `cron_invoice_item_id` (`cron_invoice_item_id`),
  ADD KEY `tax_id` (`tax_id`);

--
-- Indexes for table `si_cron_log`
--
ALTER TABLE `si_cron_log`
  ADD PRIMARY KEY (`domain_id`,`id`),
  ADD UNIQUE KEY `id` (`id`),
  ADD UNIQUE KEY `CronIdUnq` (`domain_id`,`cron_id`,`run_date`),
  ADD KEY `cron_id` (`cron_id`);

--
-- Indexes for table `si_customers`
--
ALTER TABLE `si_customers`
  ADD PRIMARY KEY (`domain_id`,`id`),
  ADD UNIQUE KEY `id` (`id`);

--
-- Indexes for table `si_custom_fields`
--
ALTER TABLE `si_custom_fields`
  ADD PRIMARY KEY (`cf_id`,`domain_id`),
  ADD UNIQUE KEY `cf_id` (`cf_id`);

--
-- Indexes for table `si_custom_flags`
--
ALTER TABLE `si_custom_flags`
  ADD PRIMARY KEY (`domain_id`,`associated_table`,`flg_id`),
  ADD KEY `domain_id` (`domain_id`),
  ADD KEY `dtable` (`domain_id`,`associated_table`);

--
-- Indexes for table `si_expense`
--
ALTER TABLE `si_expense`
  ADD PRIMARY KEY (`domain_id`,`id`),
  ADD UNIQUE KEY `id` (`id`),
  ADD KEY `biller_id` (`biller_id`),
  ADD KEY `customer_id` (`customer_id`),
  ADD KEY `invoice_id` (`invoice_id`),
  ADD KEY `product_id` (`product_id`),
  ADD KEY `expense_account_id` (`expense_account_id`);

--
-- Indexes for table `si_expense_account`
--
ALTER TABLE `si_expense_account`
  ADD PRIMARY KEY (`domain_id`,`id`),
  ADD UNIQUE KEY `id` (`id`);

--
-- Indexes for table `si_expense_item_tax`
--
ALTER TABLE `si_expense_item_tax`
  ADD PRIMARY KEY (`id`),
  ADD KEY `expense_id` (`expense_id`),
  ADD KEY `tax_id` (`tax_id`);

--
-- Indexes for table `si_extensions`
--
ALTER TABLE `si_extensions`
  ADD PRIMARY KEY (`id`,`domain_id`),
  ADD UNIQUE KEY `id` (`id`);

--
-- Indexes for table `si_index`
--
ALTER TABLE `si_index`
  ADD PRIMARY KEY (`node`,`sub_node`,`sub_node_2`,`domain_id`);

--
-- Indexes for table `si_inventory`
--
ALTER TABLE `si_inventory`
  ADD PRIMARY KEY (`domain_id`,`id`),
  ADD UNIQUE KEY `id` (`id`),
  ADD KEY `product_id` (`product_id`);

--
-- Indexes for table `si_invoices`
--
ALTER TABLE `si_invoices`
  ADD PRIMARY KEY (`domain_id`,`id`),
  ADD UNIQUE KEY `id` (`id`),
  ADD UNIQUE KEY `UniqDIB` (`index_id`,`preference_id`,`biller_id`,`domain_id`),
  ADD KEY `domain_id` (`domain_id`),
  ADD KEY `biller_id` (`biller_id`),
  ADD KEY `customer_id` (`customer_id`),
  ADD KEY `IdxDI` (`index_id`,`preference_id`,`domain_id`),
  ADD KEY `type_id` (`type_id`),
  ADD KEY `preference_id` (`preference_id`);

--
-- Indexes for table `si_invoice_items`
--
ALTER TABLE `si_invoice_items`
  ADD PRIMARY KEY (`id`),
  ADD KEY `invoice_id` (`invoice_id`),
  ADD KEY `DomainInv` (`invoice_id`,`domain_id`),
  ADD KEY `product_id` (`product_id`);

--
-- Indexes for table `si_invoice_item_attachments`
--
ALTER TABLE `si_invoice_item_attachments`
  ADD PRIMARY KEY (`id`),
  ADD KEY `invoice_item_id` (`invoice_item_id`);

--
-- Indexes for table `si_invoice_item_tax`
--
ALTER TABLE `si_invoice_item_tax`
  ADD PRIMARY KEY (`id`),
  ADD KEY `tax_id` (`tax_id`),
  ADD KEY `invoice_item_id` (`invoice_item_id`);

--
-- Indexes for table `si_invoice_type`
--
ALTER TABLE `si_invoice_type`
  ADD PRIMARY KEY (`inv_ty_id`);

--
-- Indexes for table `si_log`
--
ALTER TABLE `si_log`
  ADD PRIMARY KEY (`id`,`domain_id`),
  ADD UNIQUE KEY `id` (`id`),
  ADD KEY `user_id` (`user_id`);

--
-- Indexes for table `si_payment`
--
ALTER TABLE `si_payment`
  ADD PRIMARY KEY (`domain_id`,`id`),
  ADD UNIQUE KEY `id` (`id`),
  ADD KEY `domain_id` (`domain_id`),
  ADD KEY `ac_inv_id` (`ac_inv_id`),
  ADD KEY `ac_amount` (`ac_amount`),
  ADD KEY `ac_payment_type` (`ac_payment_type`),
  ADD KEY `customer_id` (`customer_id`);

--
-- Indexes for table `si_payment_types`
--
ALTER TABLE `si_payment_types`
  ADD PRIMARY KEY (`domain_id`,`pt_id`),
  ADD UNIQUE KEY `pt_id` (`pt_id`);

--
-- Indexes for table `si_payment_warehouse`
--
ALTER TABLE `si_payment_warehouse`
  ADD PRIMARY KEY (`id`),
  ADD KEY `customer_id` (`customer_id`),
  ADD KEY `last_payment_id` (`last_payment_id`),
  ADD KEY `payment_type` (`payment_type`);

--
-- Indexes for table `si_preferences`
--
ALTER TABLE `si_preferences`
  ADD PRIMARY KEY (`domain_id`,`pref_id`),
  ADD UNIQUE KEY `pref_id` (`pref_id`);

--
-- Indexes for table `si_products`
--
ALTER TABLE `si_products`
  ADD PRIMARY KEY (`domain_id`,`id`),
  ADD UNIQUE KEY `id` (`id`),
  ADD KEY `default_tax_id` (`default_tax_id`),
  ADD KEY `default_tax_id_2` (`default_tax_id_2`);

--
-- Indexes for table `si_products_attributes`
--
ALTER TABLE `si_products_attributes`
  ADD PRIMARY KEY (`id`),
  ADD KEY `type_id` (`type_id`);

--
-- Indexes for table `si_products_attributes_values`
--
ALTER TABLE `si_products_attributes_values`
  ADD PRIMARY KEY (`id`),
  ADD KEY `attribute_id` (`attribute_id`);

--
-- Indexes for table `si_products_attribute_type`
--
ALTER TABLE `si_products_attribute_type`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `si_product_groups`
--
ALTER TABLE `si_product_groups`
  ADD PRIMARY KEY (`name`);

--
-- Indexes for table `si_sql_patchmanager`
--
ALTER TABLE `si_sql_patchmanager`
  ADD PRIMARY KEY (`sql_id`);

--
-- Indexes for table `si_system_defaults`
--
ALTER TABLE `si_system_defaults`
  ADD PRIMARY KEY (`domain_id`,`id`),
  ADD UNIQUE KEY `id` (`id`),
  ADD UNIQUE KEY `UnqNameInDomain` (`domain_id`,`name`),
  ADD KEY `name` (`name`);

--
-- Indexes for table `si_tax`
--
ALTER TABLE `si_tax`
  ADD PRIMARY KEY (`domain_id`,`tax_id`),
  ADD UNIQUE KEY `tax_id` (`tax_id`);

--
-- Indexes for table `si_user`
--
ALTER TABLE `si_user`
  ADD PRIMARY KEY (`domain_id`,`id`),
  ADD UNIQUE KEY `id` (`id`),
  ADD UNIQUE KEY `uname` (`username`),
  ADD KEY `role_id` (`role_id`);

--
-- Indexes for table `si_user_domain`
--
ALTER TABLE `si_user_domain`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `name` (`name`);

--
-- Indexes for table `si_user_role`
--
ALTER TABLE `si_user_role`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `name` (`name`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `si_biller`
--
ALTER TABLE `si_biller`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `si_cron`
--
ALTER TABLE `si_cron`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `si_cron_invoice_items`
--
ALTER TABLE `si_cron_invoice_items`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `si_cron_invoice_item_tax`
--
ALTER TABLE `si_cron_invoice_item_tax`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `si_cron_log`
--
ALTER TABLE `si_cron_log`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `si_customers`
--
ALTER TABLE `si_customers`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `si_custom_fields`
--
ALTER TABLE `si_custom_fields`
  MODIFY `cf_id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=17;

--
-- AUTO_INCREMENT for table `si_expense`
--
ALTER TABLE `si_expense`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `si_expense_account`
--
ALTER TABLE `si_expense_account`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `si_expense_item_tax`
--
ALTER TABLE `si_expense_item_tax`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `si_extensions`
--
ALTER TABLE `si_extensions`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `si_inventory`
--
ALTER TABLE `si_inventory`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `si_invoices`
--
ALTER TABLE `si_invoices`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `si_invoice_items`
--
ALTER TABLE `si_invoice_items`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `si_invoice_item_attachments`
--
ALTER TABLE `si_invoice_item_attachments`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `si_invoice_item_tax`
--
ALTER TABLE `si_invoice_item_tax`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `si_invoice_type`
--
ALTER TABLE `si_invoice_type`
  MODIFY `inv_ty_id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `si_log`
--
ALTER TABLE `si_log`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `si_payment`
--
ALTER TABLE `si_payment`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `si_payment_types`
--
ALTER TABLE `si_payment_types`
  MODIFY `pt_id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT for table `si_payment_warehouse`
--
ALTER TABLE `si_payment_warehouse`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `si_preferences`
--
ALTER TABLE `si_preferences`
  MODIFY `pref_id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `si_products`
--
ALTER TABLE `si_products`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `si_products_attributes`
--
ALTER TABLE `si_products_attributes`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `si_products_attributes_values`
--
ALTER TABLE `si_products_attributes_values`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `si_products_attribute_type`
--
ALTER TABLE `si_products_attribute_type`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `si_sql_patchmanager`
--
ALTER TABLE `si_sql_patchmanager`
  MODIFY `sql_id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=19;

--
-- AUTO_INCREMENT for table `si_system_defaults`
--
ALTER TABLE `si_system_defaults`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=28;

--
-- AUTO_INCREMENT for table `si_tax`
--
ALTER TABLE `si_tax`
  MODIFY `tax_id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT for table `si_user`
--
ALTER TABLE `si_user`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `si_user_domain`
--
ALTER TABLE `si_user_domain`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `si_user_role`
--
ALTER TABLE `si_user_role`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `si_cron`
--
ALTER TABLE `si_cron`
  ADD CONSTRAINT `si_cron_ibfk_1` FOREIGN KEY (`invoice_id`) REFERENCES `si_invoices` (`id`) ON UPDATE CASCADE;

--
-- Constraints for table `si_cron_invoice_items`
--
ALTER TABLE `si_cron_invoice_items`
  ADD CONSTRAINT `si_cron_invoice_items_ibfk_1` FOREIGN KEY (`cron_id`) REFERENCES `si_cron` (`id`) ON UPDATE CASCADE,
  ADD CONSTRAINT `si_cron_invoice_items_ibfk_2` FOREIGN KEY (`product_id`) REFERENCES `si_products` (`id`) ON UPDATE CASCADE;

--
-- Constraints for table `si_cron_invoice_item_tax`
--
ALTER TABLE `si_cron_invoice_item_tax`
  ADD CONSTRAINT `si_cron_invoice_item_tax_ibfk_1` FOREIGN KEY (`tax_id`) REFERENCES `si_tax` (`tax_id`) ON UPDATE CASCADE,
  ADD CONSTRAINT `si_cron_invoice_item_tax_ibfk_2` FOREIGN KEY (`cron_invoice_item_id`) REFERENCES `si_cron_invoice_items` (`id`) ON UPDATE CASCADE;

--
-- Constraints for table `si_cron_log`
--
ALTER TABLE `si_cron_log`
  ADD CONSTRAINT `si_cron_log_ibfk_1` FOREIGN KEY (`cron_id`) REFERENCES `si_cron` (`id`) ON UPDATE CASCADE;

--
-- Constraints for table `si_expense`
--
ALTER TABLE `si_expense`
  ADD CONSTRAINT `si_expense_ibfk_1` FOREIGN KEY (`biller_id`) REFERENCES `si_biller` (`id`) ON UPDATE CASCADE,
  ADD CONSTRAINT `si_expense_ibfk_2` FOREIGN KEY (`customer_id`) REFERENCES `si_customers` (`id`) ON UPDATE CASCADE,
  ADD CONSTRAINT `si_expense_ibfk_3` FOREIGN KEY (`invoice_id`) REFERENCES `si_invoices` (`id`) ON UPDATE CASCADE,
  ADD CONSTRAINT `si_expense_ibfk_4` FOREIGN KEY (`product_id`) REFERENCES `si_products` (`id`) ON UPDATE CASCADE,
  ADD CONSTRAINT `si_expense_ibfk_5` FOREIGN KEY (`expense_account_id`) REFERENCES `si_expense_account` (`id`) ON UPDATE CASCADE;

--
-- Constraints for table `si_expense_item_tax`
--
ALTER TABLE `si_expense_item_tax`
  ADD CONSTRAINT `si_expense_item_tax_ibfk_1` FOREIGN KEY (`expense_id`) REFERENCES `si_expense` (`id`) ON UPDATE CASCADE,
  ADD CONSTRAINT `si_expense_item_tax_ibfk_2` FOREIGN KEY (`tax_id`) REFERENCES `si_tax` (`tax_id`) ON UPDATE CASCADE;

--
-- Constraints for table `si_inventory`
--
ALTER TABLE `si_inventory`
  ADD CONSTRAINT `si_inventory_ibfk_1` FOREIGN KEY (`product_id`) REFERENCES `si_products` (`id`) ON UPDATE CASCADE;

--
-- Constraints for table `si_invoices`
--
ALTER TABLE `si_invoices`
  ADD CONSTRAINT `si_invoices_ibfk_1` FOREIGN KEY (`biller_id`) REFERENCES `si_biller` (`id`) ON UPDATE CASCADE,
  ADD CONSTRAINT `si_invoices_ibfk_2` FOREIGN KEY (`customer_id`) REFERENCES `si_customers` (`id`) ON UPDATE CASCADE,
  ADD CONSTRAINT `si_invoices_ibfk_3` FOREIGN KEY (`type_id`) REFERENCES `si_invoice_type` (`inv_ty_id`) ON UPDATE CASCADE,
  ADD CONSTRAINT `si_invoices_ibfk_4` FOREIGN KEY (`preference_id`) REFERENCES `si_preferences` (`pref_id`) ON UPDATE CASCADE;

--
-- Constraints for table `si_invoice_items`
--
ALTER TABLE `si_invoice_items`
  ADD CONSTRAINT `si_invoice_items_ibfk_1` FOREIGN KEY (`invoice_id`) REFERENCES `si_invoices` (`id`) ON UPDATE CASCADE,
  ADD CONSTRAINT `si_invoice_items_ibfk_2` FOREIGN KEY (`product_id`) REFERENCES `si_products` (`id`) ON UPDATE CASCADE;

--
-- Constraints for table `si_invoice_item_attachments`
--
ALTER TABLE `si_invoice_item_attachments`
  ADD CONSTRAINT `si_invoice_item_attachments_ibfk_1` FOREIGN KEY (`invoice_item_id`) REFERENCES `si_invoice_items` (`id`) ON UPDATE CASCADE;

--
-- Constraints for table `si_invoice_item_tax`
--
ALTER TABLE `si_invoice_item_tax`
  ADD CONSTRAINT `si_invoice_item_tax_ibfk_1` FOREIGN KEY (`tax_id`) REFERENCES `si_tax` (`tax_id`) ON UPDATE CASCADE,
  ADD CONSTRAINT `si_invoice_item_tax_ibfk_2` FOREIGN KEY (`invoice_item_id`) REFERENCES `si_invoice_items` (`id`) ON UPDATE CASCADE;

--
-- Constraints for table `si_log`
--
ALTER TABLE `si_log`
  ADD CONSTRAINT `si_log_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `si_user` (`id`) ON UPDATE CASCADE;

--
-- Constraints for table `si_payment`
--
ALTER TABLE `si_payment`
  ADD CONSTRAINT `si_payment_ibfk_1` FOREIGN KEY (`ac_inv_id`) REFERENCES `si_invoices` (`id`) ON UPDATE CASCADE,
  ADD CONSTRAINT `si_payment_ibfk_2` FOREIGN KEY (`ac_payment_type`) REFERENCES `si_payment_types` (`pt_id`) ON UPDATE CASCADE,
  ADD CONSTRAINT `si_payment_ibfk_3` FOREIGN KEY (`customer_id`) REFERENCES `si_customers` (`id`) ON DELETE SET NULL ON UPDATE SET NULL;

--
-- Constraints for table `si_payment_warehouse`
--
ALTER TABLE `si_payment_warehouse`
  ADD CONSTRAINT `si_payment_warehouse_ibfk_1` FOREIGN KEY (`customer_id`) REFERENCES `si_customers` (`id`) ON UPDATE CASCADE,
  ADD CONSTRAINT `si_payment_warehouse_ibfk_2` FOREIGN KEY (`last_payment_id`) REFERENCES `si_payment` (`id`) ON DELETE SET NULL ON UPDATE SET NULL,
  ADD CONSTRAINT `si_payment_warehouse_ibfk_3` FOREIGN KEY (`payment_type`) REFERENCES `si_payment_types` (`pt_id`) ON UPDATE CASCADE;

--
-- Constraints for table `si_products`
--
ALTER TABLE `si_products`
  ADD CONSTRAINT `si_products_ibfk_1` FOREIGN KEY (`default_tax_id`) REFERENCES `si_tax` (`tax_id`) ON UPDATE CASCADE,
  ADD CONSTRAINT `si_products_ibfk_2` FOREIGN KEY (`default_tax_id_2`) REFERENCES `si_tax` (`tax_id`) ON UPDATE CASCADE;

--
-- Constraints for table `si_products_attributes`
--
ALTER TABLE `si_products_attributes`
  ADD CONSTRAINT `si_products_attributes_ibfk_1` FOREIGN KEY (`type_id`) REFERENCES `si_products_attribute_type` (`id`) ON UPDATE CASCADE;

--
-- Constraints for table `si_products_attributes_values`
--
ALTER TABLE `si_products_attributes_values`
  ADD CONSTRAINT `si_products_attributes_values_ibfk_1` FOREIGN KEY (`attribute_id`) REFERENCES `si_products_attributes` (`id`) ON UPDATE CASCADE;

--
-- Constraints for table `si_user`
--
ALTER TABLE `si_user`
  ADD CONSTRAINT `si_user_ibfk_1` FOREIGN KEY (`domain_id`) REFERENCES `si_user_domain` (`id`) ON UPDATE CASCADE,
  ADD CONSTRAINT `si_user_ibfk_2` FOREIGN KEY (`role_id`) REFERENCES `si_user_role` (`id`) ON UPDATE CASCADE;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
